<?php
require_once("spkitlasso/lassospkit_helper.inc.php");
require_once("spkitlasso/lassospkit_dispatcher.inc.php");
require_once("spkitlasso/lassospkit_metadata.inc.php");
require_once("spkitlasso/lassospkit_utils.inc.php");

dispatch(array('/login' => login,
               '/federate' => federate,
               '/ssoAssertionConsumer' => ssoAssertionConsumer,
               '/sloInit' => sloInit,
               '/sloSoap' => sloSoap,
               '/sloRedirect' => sloRedirect,
               '/sloResponse' => sloResponse,
               '/defederate' => defederate,
               '/defederateReturn' => defederateReturn, 
               '/defederateNotification' => defederateNotification,
               '/metadata' => metadata));
// TODO fill implementation
function login() {
    $saml2 = new LassoSPKitLiberty(new LassoSPKitDummySession());
    $params = LassoSPKitUtilsSession::getParams('login');
    $federate = TRUE;
    if (isset($params['federate'])) {
        $federate = $params['federate'];
    }
    $saml2->sso(TRUE, $federate);
}
function federate() {
    $saml2 = new LassoSPKitLiberty(new LassoSPKitDummySession());
    $saml2->sso(TRUE, TRUE);
}
function ssoAssertionConsumer() {
}
function sloInit() {
}
function sloSoap() {
}
function sloRedirect() {
}
function sloResponse() {
}
function defederate() {
}
function defederateReturn() {
}
function defederateNotification() {
}
function metadata() {
    header('Content-type: text/xml');
    $datadir = LassoSPKitHelper::getMetadataDir(LASSO_PROTOCOL_LIBERTY_1_2);
    $pkey = $datadir . "/" . PRIVATE_KEY;
    LassoSPKitUtils::extractPublicKey($pkey, $publickey, $error);
    try { 
        $content = LassoSPKitMetadataLiberty::generateMetadata(dirname(LassoSPKitUtils::mydir()), LassoSPKitConfig::get('organization'), $publickey);
        if ($content) {
            header('Content-type: text/xml');
            echo $content;
        }
    } catch (Exception $e) {
        throw $e;
    }
}
