<?php
require_once('spkitlasso/lassospkit_public_api.inc.php');
require_once('spkitlasso/lassospkit_debug.inc.php');
require_once('spkitlasso/lassospkit_utils.inc.php');
$myself = LassoSPKitUtils::myself();
if (isset($_SERVER['PATH_INFO']) && $_SERVER['PATH_INFO'] == '/logout') {
    echo lassospkit_soap_logout();
    header('Location: ..');
    exit(0);
}
if (isset($_SERVER['PATH_INFO']) && $_SERVER['PATH_INFO'] == '/login') {
    $isPassive = null;
    if (isset($_GET['passive']) && $_GET['passive'] == 1) {
        $isPassive = true;
    }
    echo lassospkit_redirect_login('http://localhost/~bdauvergne/spkittest/',$isPassive);
    exit(0);
}
if (isset($_SERVER['PATH_INFO']) && $_SERVER['PATH_INFO'] == '/federate') {
    $isPassive = null;
    if (isset($_GET['passive']) && $_GET['passive'] == 1) {
        $isPassive = true;
    }
    echo lassospkit_redirect_federate('http://localhost/~bdauvergne/spkittest/',$isPassive);
    exit(0);
}
echo '<?xml version="1.0" encoding="UTF-8"?>';

function show($a) {
    echo "<li><a href='$a'>";
    echo $a;
    echo "</a></li>";
}
?>

<html>
<head>
<link type="text/css" rel="stylesheet" href="style.css">
</head>
<h1>Points d'accès</h1>
<ul>
<?
show("$myself/logout");
show("$myself/login");
show("$myself/federate");
show("$myself/login?passive=1");
show(lassospkit_defederation_url($myself));
show(lassospkit_configure_url());

if (isset($_GET['userid'])) {
    lassospkit_set_userid($_GET['userid']);
}

$nameid = lassospkit_nameid();
$userid = lassospkit_userid();
$error = lassospkit_error();
$federation = lassospkit_federation();
if ($federation) {
    lassospkit_set_federation($federation);
}
?>
<li><? echo lassospkit_showCode(var_export($_COOKIE, 1)); ?></li>
<li>NameId: <? echo lassospkit_showCode(var_export($nameid,1)) ?></li>
<li>UserId: <? echo lassospkit_showCode($userid) ?></li>
<li>Error: <? echo lassospkit_showCode($error) ?></li>
<li>Federation: <? echo lassospkit_showCode($federation) ?></li>
</ul>

</html>
